## enough-2.1.13.tar.gz

=== requirements.txt ===
################################################################################
# This requirements file has been automatically generated from `Pipfile` with
# `pipenv-to-requirements`
#
#
# This has been done to maintain backward compatibility with tools and services
# that do not support `Pipfile` yet.
#
# Do NOT edit it directly, use `pipenv install [-d]` to modify `Pipfile` and
# `Pipfile.lock` and then regenerate `requirements*.txt`.
################################################################################

ansible==2.9.16
appdirs==1.4.4
attrs==20.3.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
babel==2.9.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
bcrypt==3.2.0 ; python_version >= '3.6'
beautifulsoup4==4.7.1
cached-property==1.5.2
certifi==2020.12.5
cffi==1.14.4
chardet==4.0.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
cliff==3.5.0
cmd2==1.4.0 ; python_version >= '3.5'
colorama==0.4.4 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
cryptography==3.3.1 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4, 3.5'
debtcollector==2.2.0 ; python_version >= '3.6'
decorator==4.4.2
defusedxml==0.6.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
distro==1.5.0
django-allauth==0.39.1
django-bootstrap3==11.0.0
django==2.2
djangorestframework==3.9.2
docker-compose==1.27.4
docker[ssh]==4.4.1
dockerpty==0.4.1
docopt==0.6.2
dogpile.cache==1.1.1 ; python_version >= '3.6'
future==0.18.2
idna==2.10 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
iso8601==0.1.13
jinja2==2.11.2
jmespath==0.10.0 ; python_version >= '2.6' and python_version not in '3.0, 3.1, 3.2, 3.3'
jsonpatch==1.28 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
jsonpointer==2.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
jsonschema==3.2.0
keystoneauth1==4.3.0 ; python_version >= '3.6'
libvirt-python==6.10.0
markupsafe==1.1.1 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
msgpack==1.0.2
munch==2.5.0
netaddr==0.7.19
netifaces==0.10.9
oauthlib==3.1.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
openstacksdk==0.52.0
os-client-config==2.1.0
os-service-types==1.7.0
osc-lib==2.3.0 ; python_version >= '3.6'
oslo.config==8.4.0 ; python_version >= '3.6'
oslo.i18n==5.0.1 ; python_version >= '3.6'
oslo.serialization==4.0.1 ; python_version >= '3.6'
oslo.utils==4.7.0 ; python_version >= '3.6'
packaging==20.8 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
paramiko==2.7.2
pbr==5.5.1 ; python_version >= '2.6'
prettytable==0.7.2
pycparser==2.20 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
pynacl==1.4.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
pyparsing==2.4.7 ; python_version >= '2.6' and python_version not in '3.0, 3.1, 3.2, 3.3'
pyperclip==1.8.1
pyrsistent==0.17.3 ; python_version >= '3.5'
python-cinderclient==7.2.0 ; python_version >= '3.6'
python-dotenv==0.15.0
python-heatclient==2.3.0
python-keystoneclient==4.2.0 ; python_version >= '3.6'
python-novaclient==17.2.1 ; python_version >= '3.6'
python-openstackclient==5.4.0
python-swiftclient==3.11.0
python3-openid==3.2.0
pytz==2020.5
pyyaml==5.3.1
requests-oauthlib==1.3.0
requests==2.25.1 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
requestsexceptions==1.4.0
rfc3986==1.4.0
sh==1.12.14
shade==1.30.0
simplejson==3.17.2 ; python_version >= '2.5' and python_version not in '3.0, 3.1, 3.2, 3.3'
six==1.15.0 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
soupsieve==2.1 ; python_version >= '3.5'
sqlparse==0.4.1 ; python_version >= '3.5'
stevedore==3.3.0 ; python_version >= '3.6'
texttable==1.6.3
urllib3==1.26.2 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4' and python_version < '4'
wcwidth==0.2.5
websocket-client==0.57.0
wrapt==1.12.1
